org.apache.log4j.filter

## Class TimeFilter

- java.lang.Object
- - org.apache.log4j.spi.Filter
  - - org.apache.log4j.filter.TimeFilter

- All Implemented Interfaces:
    org.apache.log4j.spi.OptionHandler

      public final class TimeFilter
      extends org.apache.log4j.spi.Filter

  Filters events that fall within a specified time period in each day.

- - ### Field Summary

    - ### Fields inherited from class org.apache.log4j.spi.Filter

      `ACCEPT, DENY, NEUTRAL, next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeFilter()` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `decide(org.apache.log4j.spi.LoggingEvent event)`
    `boolean` | `getAcceptOnMatch()` Gets whether an event within the timespan should be accepted or denied.
    `void` | `setAcceptOnMatch(boolean acceptOnMatch)` Sets whether an event within the timespan should be accepted or denied.
    `void` | `setEnd(String s)` Set end (exclusive) of time span.
    `void` | `setStart(String s)` Set start (inclusive) of time span.
    `void` | `setTimeZone(String s)` Set timezone.

    - ### Methods inherited from class org.apache.log4j.spi.Filter

      `activateOptions, getNext, setNext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeFilter

          public TimeFilter()

      Constructor.

  - ### Method Detail

    - #### setStart

          public void setStart(String s)

      Set start (inclusive) of time span.
      Parameters:
        `s` - string representation of start time as HH:mm:ss.

    - #### setEnd

          public void setEnd(String s)

      Set end (exclusive) of time span.
      Parameters:
        `s` - string representation of end time as HH:mm:ss.

    - #### setTimeZone

          public void setTimeZone(String s)

      Set timezone.
      Parameters:
        `s` - time zone.

    - #### setAcceptOnMatch

          public void setAcceptOnMatch(boolean acceptOnMatch)

      Sets whether an event within the timespan should be accepted or denied.
      Parameters:
        `acceptOnMatch` - true if matching event should be accepted.

    - #### getAcceptOnMatch

          public boolean getAcceptOnMatch()

      Gets whether an event within the timespan should be accepted or denied.
      Returns:
        true if matching event should be accepted.

    - #### decide

          public int decide(org.apache.log4j.spi.LoggingEvent event)

      Specified by:
        `decide` in class `org.apache.log4j.spi.Filter`

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.